> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/Barcodes ## OpenAPI ````json GET /v26.4/Barcodes { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/Barcodes": { "get": { "tags": [ "Barcodes" ], "parameters": [ { "name": "ProductId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "SupplierId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "BarcodeTypeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ProductState", "in": "query", "schema": { "$ref": "#/components/schemas/SearchProductState" } }, { "name": "Barcode", "in": "query", "schema": { "type": "integer", "format": "int64" } }, { "name": "BarcodeText", "in": "query", "schema": { "type": "string" } }, { "name": "PassiveOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "DeletedProductsOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "FieldsToReturn", "in": "query", "schema": { "type": "string" } }, { "name": "Offset", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "RecordCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBarcodeDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBarcodeDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewBarcodeDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "SearchProductState": { "enum": [ "NotSpecified", "OrganizationOnly", "DerivedOnly", "LocalOnly", "LocalAndDerivedOnly" ], "type": "string" }, "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewBarcodeDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "organizationId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "productId": { "type": "integer", "format": "int32", "nullable": true }, "barcode": { "type": "integer", "format": "int64", "nullable": true }, "barcodeText": { "type": "string", "nullable": true }, "barcodeTypeId": { "type": "integer", "format": "int32", "nullable": true }, "price": { "type": "number", "format": "double", "nullable": true }, "passive": { "type": "boolean", "default": false }, "lastExchangeDateTime": { "type": "string", "format": "date-time" }, "isDerived": { "type": "boolean", "default": false }, "barcodeType": { "$ref": "#/components/schemas/BarcodeType" }, "barcodeTypeDescription": { "type": "string", "nullable": true }, "formattedBarcode": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "BarcodeType": { "enum": [ "NotSpecified", "Upc12", "Ean8", "Ean13", "Code39", "Ean13PriceBarcode", "Ean13WithoutVerification", "Ean13WithoutChecksum", "Ean13WithoutLeaderZero", "Code93", "Itf25", "Ean13WeightBarcode", "UPCA", "Ean13DiscountPercentage", "Ean128", "DataMatrix", "AllocatedStock", "Gs1QrCode", "UnknownType" ], "type": "string" } } } } ````